Problems installing on Ubuntu 14.04 via apt-get

Hello, I followed the instructions here: https://github.com/ethereum/cpp-ethereum/wiki/Installing-clients
on a fresh Ubuntu.
No (obvious) errors occurred during the installation. However, when I want to start alethzero, eth or neth I get:

neth: error while loading shared libraries: libmicrohttpd.so.10: cannot open shared object file: No such file or directory

Comments

  • AtomrigsAtomrigs Member Posts: 23
    you just install the missing lib.
    sudo apt-get -y install libmicrohttpd-dev
  • androloandrolo Jamtland, SwedenMember Posts: 36 ✭✭
    Using the PPAs and on latest dev? Had a similar issue a few days ago myself when installing via PPAs on a freshly installed Ubuntu. Not sure if it was that lib but I think it was. Made an issue but but according to devs it "worked for them", so i deleted it. I think it worked fine when building from source. Either way i'd stick to building from source when using develop, that seems to be the safest bet for now.
  • androloandrolo Jamtland, SwedenMember Posts: 36 ✭✭
    Btw @koeppelmann I'm also an AlethZero user keeping up with latest dev so wouldn't mind if you tag me in issues, as I haven't seen many others that does. Just nice to see if there are errors that others has them as well, or if it's just me messing up...
Sign In or Register to comment.